

/*初始化方法执行 */
$(function(){
	
	
});

/* 点击赔案号进行页面跳转*/
function skip2Page(no){
	var channelType = $("#channelType").val();
	var serachType = $("#queryType").val();
	var serachContent = $("#serachContent").val();
	SkipByPost("dcApplicationQuery.do",{claimNo:no,serachType:serachType,serachContent:serachContent,channelType:channelType});
	
}
function skipPage(no){
	var channelType = $("#channelType").val();
	var serachType = $("#queryType").val();
	var serachContent = $("#serachContent").val();
	SkipByPost("hqApplicationQuery.do",{claimNo:no,serachType:serachType,serachContent:serachContent,channelType:channelType});
	
}


  function queryData() {
	if($("#content").val()==null || $("#content").val()==""){
		alert("查询条件不能为空！");
		$("#content").focus();
		return false;
	} else {
		
		findtask();
		
		
	}
  }
  
  function  findtask(){
	  if($("#queryType").val()=='1' || $("#queryType").val() == undefined){
		  	$("#queryType").val("1");
			if($("#content").val().length!=15){
				alert("赔案号长度必须为15位");
				return false;
			}
			
		}
	  $("#serachContent").val($("#content").val()); 
	  
//	  if($("#queryType").val()=='2'){
//		  if(!checkIdentityCard($("#content").val())){
//				
//				return false;
//			}
//			$("#serachContent").val($("#content").val());
//		}
	  
	 // document.forms["queryForm"].submit();
	  var params={};
		params['content']=$("#content").val();
		params['queryType']=$("#queryType").val();
		params['channelType']=$("#channelType").val();
	  
		SkipByPost("queryIcTaskData.do",params);
  }
  
  
  function changeValue(val) {
	  $("#queryType").val(val);
	  $("#content").val('');
	  
  }

  
  
  
  
  function gohistory(){
		var params={};
		params['content']=$("#serachContent").val();
		params['queryType']=$("#serachType").val();
		params['channelType']=$("#channelType").val();
		
		SkipByPost("queryIcTaskData.do",params);
  }
  

  
 

//回车查询
  function enterQuery(){
  	 var event = window.event||arguments.callee.caller.arguments[0];
  	 if(event.keyCode==13){
  		queryData();
  	 }
  }
  
  
  
  
//单选

  $(".radio_yes,.radio_no").click(function(){ 
  	  
  	  if($(this).is(".radio_yes")){
  	    
  		$(this).removeClass("radio_yes");
  		$(this).addClass("radio_no"); 
  	  
  	  }
  	  
  	  else{
  			var obj=  $(".radio_yes");
  			obj.removeClass("radio_yes");          
  			obj.addClass("radio_no"); 
  			$(this).removeClass("radio_no");
  	        $(this).addClass("radio_yes");
  	      $("#channelType").val($(this).attr("channelValue"));
  	}
      
  	  
  });
  